Subject: Re: [PATCH] Documentation/git-commit: rewrite to make it more end-user friendly.

From: "J. Bruce Fields" <[email-masked]>
Date: Sun, 10 Dec 2006 17:41:45 -0500

On Sun, Dec 10, 2006 at 05:07:40PM -0500, Nicolas Pitre wrote:
> On Sun, 10 Dec 2006, J. Bruce Fields wrote:
> 
> > Or maybe: "by using gitlink:git-add[1] to add new content (of either new
> > or newly modified files) to the next commit."
> > 
> > Man pages are reference documentation, so I figure it's OK to sacrifice
> > a little newbie-friendliness for accuracy and concision.
> 
> I disagree.  Clarity should be the first goal.  And the fact that even 
> modified files have to be specified is something worth enphasizing, 
> especially since this is not something other systems do.

OK, OK.  Shortest I can manage then is:

	by using gitlink:git-add[1] to add new or modified files to the
	next commit.  This adds a file's current contents only; run
	gitlink:git-add[1] again to include any subsequent changes.

which may not be any improvement.